"""answer table modified

Revision ID: 97c4fab879a0
Revises: 48fb414b360c
Create Date: 2019-01-21 00:14:21.649311

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '97c4fab879a0'
down_revision = '48fb414b360c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('answer', sa.Column('timestamp', sa.DateTime(), nullable=True))
    op.add_column('answer', sa.Column('user_id', sa.Integer(), nullable=True))
    op.create_index(op.f('ix_answer_timestamp'), 'answer', ['timestamp'], unique=False)
    op.create_foreign_key(None, 'answer', 'user', ['user_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, 'answer', type_='foreignkey')
    op.drop_index(op.f('ix_answer_timestamp'), table_name='answer')
    op.drop_column('answer', 'user_id')
    op.drop_column('answer', 'timestamp')
    # ### end Alembic commands ###
